Sisimai::Reason::SecurityError(3pm)

NAME
Sisimai::Reason::SecurityError - Bounce reason is "securityerror" or not.

SYNOPSIS
    use Sisimai::Reason::SecurityError;
    print Sisimai::Reason::SecurityError->match('570 5.7.0 Authentication failure');   # 1

DESCRIPTION
"Sisimai::Reason::SecurityError" checks the bounce reason is "securityerror" or not. This class is called only "Sisimai::Reason" class.

This is the error that the security violation was detected on the destination mail server. Depends on the security policy on the server, the sender's email address is camouflaged address. Sisimai will set "securityerror" to the reason of the email bounce if the value of "Status:" field in the bounce email is "5.7.*".

    Action: failed
    Status: 5.7.1
    Remote-MTA: DNS; gmail-smtp-in.l.google.com
    Diagnostic-Code: SMTP; 550-5.7.1 [2001:f22:222:1513:192:0:2:2...
    Last-Attempt-Date: Sun, 29 Nov 2015 14:12:25 +0900

CLASS METHODS

  "text()"
text() method returns the fixed string "securityerror".

    print Sisimai::Reason::SecurityError->text;  # securityerror

  "match(string)"
match() method returns 1 if the argument matched with patterns defined in this class.

    print Sisimai::Reason::SecurityError->match('570 5.7.0 Authentication failure');   # 1

  "true(Sisimai::Fact)"
true() method returns 1 if the bounce reason is "securityerror". The argument must be "Sisimai::Fact" object and this method is called only from "Sisimai::Reason" class.

AUTHOR
azumakuniyuki

COPYRIGHT
Copyright (C) 2014-2018,2020,2021,2023,2024 azumakuniyuki, All rights reserved.

LICENSE
This software is distributed under The BSD 2-Clause License.